iPhone (iOS) 更新造成 Xcode 不支援如何手動升級 - 2016

iOS 10.1 release,手邊的 iPhone 6 很自然的就選擇升級上去,沒想到 Xcode 編譯要直接上 iPhone 就說不支援,但是 Mac 系統升級也做了,App Store 的 Xcode 就是一直
沒新版,所以來手動先抓新版的來用~

iPhone (iOS) 更新造成 Xcode 不支援如何手動升級

Xcode 要編譯時,出現下述的訊息:

This iPhone 6 is running iOS 10.1 (14B72), which may not be supported by this version of Xcode.

註:現在的 Xcode 是 8.0,需要抓 8.1 的才可以使用。

Xcode 8.1 GM Seed 可於此處下載(Apple 開發者官網):Download - Apple Developer

  1. 下載後(Xcode_8.1_GM_Seed.xip),直接點擊會解壓縮
  2. 解開直接 執行此新版的 Xcode 即為新版
  3. Xcode 開啟後,Procssing symbo files 階段會需要不少時間,需要等他跑完
  4. 註:舊版的還是會在,可以在舊版 App Store 升級後,再來將這個臨時下載的版本刪除即可

Xcode 8.1 GM seed 資訊:

  • Release Notes
    • Build
    • 8T61a
  • Posted Date
    • Oct 24, 2016
  • SDKs
    • iOS 10.1
    • macOS 10.12.1
    • watchOS 3.1
    • tvOS 10.0.1

App store GUI 覺得太慢,可以考慮用下述命令手動更新

  • softwareupdate --list:看所有過期需要升級的軟體
  • softwareupdate --install --all:更新所有過期的軟體
  • softwareupdate --install :更新特定軟體

Save

Save

Save

關於「Tsung」

對新奇的事物都很有興趣, 喜歡簡單的東西, 過簡單的生活.
分類: My_Note,標籤: , , , , 。這篇內容的永久連結

發表迴響

這個網站採用 Akismet 服務減少垃圾留言。進一步瞭解 Akismet 如何處理網站訪客的留言資料